@echo off

IF NOT .%JAVA_HOME%==. GOTO JdkFound
ECHO Could not find a JDK.
ECHO Either you have to install a JDK (preferrably 1.4) or you have to set JAVA_HOME to your JDK installation directory.
PAUSE
GOTO :EndOfScript

:JdkFound

set JAVACMD=%JAVA_HOME%\bin\java
ECHO Java command is '%JAVACMD%'.

set CLASSPATH=..\lib\JavaClass.jar
set CLASSPATH=%CLASSPATH%;..\lib\xmlParserAPIs.jar;..\lib\xercesImpl.jar;
set CLASSPATH=%CLASSPATH%;..\lib\XMI.jar;..\lib\UMLModel.jar;..\lib\OCL4Java.jar;
set CLASSPATH=%CLASSPATH%;..\lib\ToolGen.jar
ECHO Classpath is '%CLASSPATH%'.

set TOOLGEN_HOME=..\lib\
ECHO ToolGen home is %TOOLGEN_HOME%.

%JAVACMD% -cp "%CLASSPATH%" uk.ac.ukc.cs.kmf.toolgen.Main

:EndOfScript
