/*
 * ClassLifecycle.java
 *
 * Created on 28 September 2002
 */

package lifecycle;
import Vsml.repository.*;
import Vsml.repository.implementation.*;
import Vsml.AS.*;
import Vsml.AS.implementation.*;
import uk.ac.ukc.cs.kmf.ocl.*;
import uk.ac.ukc.cs.kmf.ocl.implementations.*;
import java.io.*;

/**
 *
 * @author  sjhk
 */
public class Class_Lifecycle extends Vsml.AS.implementation.ClassLifecycle {
    
    protected Class_Lifecycle() {
        super();
    }
   
    public Class_Lifecycle(IVsmlRepository rep) {
        this.rep=rep;
    }
    
    public IClass build(IPackage owner, IString name){
        //pre owner not null
        IClass class_ = (IClass)build(name);
        owner.class_().add(class_);
        class_.setOwner(owner);
        return class_;
    }
}
