/*
 * AttributeBuilder.java
 *
 * Created on 12 September 2002
 */

package lifecycle;
import Vsml.repository.*;
import Vsml.repository.implementation.*;
import Vsml.AS.*;
import uk.ac.ukc.cs.kmf.ocl.*;
import uk.ac.ukc.cs.kmf.ocl.implementations.*;
import java.io.*;

/**
 *
 * @author  sjhk
 */
public class Package_Lifecycle extends Vsml.AS.implementation.PackageLifecycle {
    
    /** Creates a new instance of AssociationEndLifecycle */
    protected Package_Lifecycle() {
        super();
    }
   
    public Package_Lifecycle(IVsmlRepository rep) {
        this.rep=rep;
    }

    public IPackage buildPackage_(IPackage owner, IString name){
        IPackage package_ = (IPackage)build(name);
        if (owner != null){
            package_.setOwner(owner);
            owner.package_().add(package_);
        }
        return package_;
    }

}
